<template>
    <button
        :type="type"
        class="bg-primary px-6 py-3 leading-none rounded text-lg font-semibold text-white disabled:bg-gray-300"
        @click="$emit('click', $event)"
    >
        <slot></slot>
    </button>
</template>

<script setup>
defineEmits(['click']);

defineProps({
    type: {
        default: 'button',
    },
});
</script>
